- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# FCDAnimatedCustom Class Reference
[COLLADA Document Object Model.]

A COLLADA custom animated value. More...

`#include <FCDAnimated.h>`

Inheritance diagram for FCDAnimatedCustom:

List of all members.

## Public Member Functions
| FCDAnimatedCustom (FCDObject *object)
| [INTERNAL] Don't build directly.
void | Copy (const FCDAnimated *copy)
| [INTERNAL] Initialized a custom animated element from another animated element.
float & | GetDummy ()
| Retrieves the floating-point value used for all the value pointers.
const float & | GetDummy () const
| See above.
void | Resize (size_t count, const char **qualifiers=NULL, bool prependDot=true)
| Resizes the wanted qualifiers.
void | Resize (const StringList &qualifiers=NULL, bool prependDot=true)
| Resizes the wanted qualifiers.

## Detailed Description

A COLLADA custom animated value.

Used for animated extra elements. A single value is used multiple times to hold as many value pointers are necessary to hold the animation curves.

## Constructor & Destructor Documentation

FCDAnimatedCustom::FCDAnimatedCustom | ( | FCDObject * | object | ) |

  | [INTERNAL] Don't build directly. Parameters:
  | object | The object that owns this animated value.

## Member Function Documentation

void FCDAnimatedCustom::Copy | ( | const FCDAnimated * | copy | ) |

  | [INTERNAL] Initialized a custom animated element from another animated element. The custom animated element will be resized to copy the given animated element. Parameters:
  | copy | The animated element to copy.

float& FCDAnimatedCustom::GetDummy | ( |  | ) | `[inline]`

| Retrieves the floating-point value used for all the value pointers. Returns: The dummy floating-point value.

void FCDAnimatedCustom::Resize | ( | const StringList & | qualifiers = `NULL`,
|  | bool | prependDot = `true`
| ) |

  | Resizes the wanted qualifiers. Parameters:
  | qualifiers | The new qualifiers for the animated element.
  | prependDot | Whether to prepend the '.' character for all the qualifiers of the animated element.

void FCDAnimatedCustom::Resize | ( | size_t | count,
|  | const char ** | qualifiers = `NULL`,
|  | bool | prependDot = `true`
| ) |

  | Resizes the wanted qualifiers. Using the FUDaeAccessor types or the FCDAnimatedStandardQualifiers types is recommended. Parameters:
  | count | The new size of the animated element.
  | qualifiers | The new qualifiers for the animated element.
  | prependDot | Whether to prepend the '.' character for all the qualifiers of the animated element.

The documentation for this class was generated from the following file:

- FCDocument/FCDAnimated.h